import { request } from '@@/plugin-request/request';
import { stringify } from 'qs';

/**
 * 版本管理
 * @param param
 */
export async function queryEdition(param: object) {
  return request(`/web/v1/app_updates?${stringify(param)}`);
}

/**
 * 创建新版本
 * @param params
 */
export async function createEdition(params: object) {
  return request(`/web/v1/app_updates`, {
    method: 'POST',
    data: params,
  });
}

/**
 * 更新版本内容
 * @param params
 */
export async function editEdition(params: any) {
  return request(`/web/v1/app_updates/${params.record_id}`, {
    method: 'PUT',
    data: params,
  });
}

/**
 * 删除版本
 * @param record_id
 */
export async function delEdition(record_id: any) {
  return request(`/web/v1/app_updates/${record_id}`, {
    method: 'DELETE',
  });
}
